%global npm_name dateformat

Name: nodejs-dateformat
Version: 3.0.3
Release: %mkrel 2
Summary: A node
License: MIT
Group: Development/Other
URL: https://github.com/felixge/node-dateformat
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc Readme.md



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.0.3-2.mga8
+ Revision: 1521227
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 3.0.3-1.mga7
+ Revision: 1341837
- Update to version 3.0.3

* Wed Sep 19 2018 umeabot <umeabot> 1.0.6-3.mga7
+ Revision: 1264860
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.6-2.mga6
+ Revision: 950285
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 1.0.6-1.mga5
+ Revision: 793718
- imported package nodejs-dateformat


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 1.0.6-2.mga5
- import from FC

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.6-1
- initial package
